com.verisign.epp.codec.registry.v02

## Class EPPRegistryReservedNames

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryReservedNames

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryReservedNames
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPRegistryReservedNames` defines the set of reserved domain names starting from that label level. The reserved names can refer to values with more than one level which is relative to the level of the parent <registry:domainName> element.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryReservedNames`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryReservedNames`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryReservedNames()` Default constructor.
    `EPPRegistryReservedNames(java.util.List<java.lang.String> aReservedNames)` `EPPRegistryReservedNames` constructor that takes the list of reserved names.
    `EPPRegistryReservedNames(java.lang.String aReservedNameURI)` `EPPRegistryReservedNames` constructor that takes the external reserved name URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReservedName(java.lang.String aReservedName)` Add a reserved name relative to the zone to the list of reserved names.
    `java.lang.Object` | `clone()` Clone `EPPRegistryZoneInfo`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryReservedNames` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryReservedNames` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryReservedNames` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List<java.lang.String>` | `getReservedNames()` Gets the reserved names.
    `java.lang.String` | `getReservedNameURI()` Gets the URI to an externally defined list of reserved domain names relative to the level of the zone.
    `boolean` | `hasReservedNames()` Is the reserved name list defined?
    `boolean` | `hasReservedNameURI()` Is the reserved name URI defined?
    `void` | `setReservedNames(java.util.List<java.lang.String> aReservedNames)` Sets the reserved names.
    `void` | `setReservedNameURI(java.lang.String aReservedNameURI)` Sets the URI to an externally defined list of reserved domain names relative to the level of the zone.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryReservedNames`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryReservedNames`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryReservedNames

          public EPPRegistryReservedNames()

      Default constructor.

    - #### EPPRegistryReservedNames

          public EPPRegistryReservedNames(java.util.List<java.lang.String> aReservedNames)

      `EPPRegistryReservedNames` constructor that takes the list of reserved names.
      Parameters:
        `aReservedNames` - List of reserved names relative to the level of the zone.

    - #### EPPRegistryReservedNames

          public EPPRegistryReservedNames(java.lang.String aReservedNameURI)

      `EPPRegistryReservedNames` constructor that takes the external reserved name URI.
      Parameters:
        `aReservedNameURI` - URI to an externally defined list of reserved domain names relative to the level of the zone. Set to `null` to clear the URI.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryReservedNames` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryReservedNames` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryReservedNames` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryReservedNames` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryReservedNames` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryReservedNames` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryReservedNames` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryZoneInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryZoneInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasReservedNames

          public boolean hasReservedNames()

      Is the reserved name list defined?
      Returns:
        `true` if the reserved name list is defined; `false` otherwise.

    - #### getReservedNames

          public java.util.List<java.lang.String> getReservedNames()

      Gets the reserved names.
      Returns:
        Reserved names if defined; `null` otherwise.

    - #### setReservedNames

          public void setReservedNames(java.util.List<java.lang.String> aReservedNames)

      Sets the reserved names.
      Parameters:
        `aReservedNames` - List of reserved names relative to the zone.

    - #### addReservedName

          public void addReservedName(java.lang.String aReservedName)

      Add a reserved name relative to the zone to the list of reserved names.
      Parameters:
        `aReservedName` - Reserved name to add to the list of reserved names.

    - #### hasReservedNameURI

          public boolean hasReservedNameURI()

      Is the reserved name URI defined?
      Returns:
        `true` if the reserved name URI is defined; `false` otherwise.

    - #### getReservedNameURI

          public java.lang.String getReservedNameURI()

      Gets the URI to an externally defined list of reserved domain names relative to the level of the zone.
      Returns:
        URI to an externally defined list of reserved domain names relative to the level of the zone if defined; `null` otherwise.

    - #### setReservedNameURI

          public void setReservedNameURI(java.lang.String aReservedNameURI)

      Sets the URI to an externally defined list of reserved domain names relative to the level of the zone.
      Parameters:
        `aReservedNameURI` - URI to an externally defined list of reserved domain names relative to the level of the zone. Set to `null` to clear the URI.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.